#build with gstreamer1.0-validate
%define build_validate	0

%define build_python	0

%define api 1.0
%define major 0

%define libname %mklibname ges %api %major
%define girname %mklibname ges-gir %api
%define develname %mklibname -d ges %api

%define plugname gstreamer%{api}-nle

Summary:	GStreamer editing services
Name:		gstreamer1.0-editing-services
Version:	1.10.3
Release:	%mkrel 1
Source0:	http://gstreamer.freedesktop.org/src/gstreamer-editing-services/gstreamer-editing-services-%{version}.tar.xz
License:	LGPLv2+
Group:		Video/Utilities
URL:		http://gstreamer.freedesktop.org/modules/gst-editing-services.html
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gstreamer-controller-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
#BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0)
#BuildRequires:	pkgconfig(gstreamer-plugins-good-1.0)
%if %{build_validate}
BuildRequires:	pkgconfig(gst-validate-1.0)
%endif
BuildRequires:	pkgconfig(libxml-2.0)
%if %{build_python}
BuildRequires:	pkgconfig(pygobject-3.0)
%endif
BuildRequires:	gobject-introspection-devel
BuildRequires:	flex

%description
GStreamer editing services.

%if %{build_python}
%package python
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	gstreamer1.0-python

%description python
Python bindings for %{name}.
%endif

%package -n %{libname}
Summary:	Libraries for GStreamer editing services
Group:		System/Libraries

%description -n %{libname}
Libraries for GStreamer editing services.

%package -n %{plugname}
Summary:	GStreamer Non Linear Engine plugin
Group:		Video/Utilities
Obsoletes:	gstreamer1.0-gnonlin < 1.6.0

%description -n %{plugname}
GStreamer Non Linear Engine plugin.

%package -n %{girname}
Summary:	GObject Introspection interface libraries for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}

%description -n %{girname}
GObject Introspection interface libraries for %{name}.

%package -n %{develname}
Summary:	Libraries and include files for GStreamer editing services
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and include files for GStreamer editing services.

%prep
%setup -q -n gstreamer-editing-services-%{version}

%build
%configure2_5x \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org' \
	--disable-static \
	--disable-gtk-doc \
	--with-gtk=3.0 \
	--disable-examples
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS ChangeLog AUTHORS
%{_bindir}/ges-launch-%{api}
%{_datadir}/bash-completion/completions/ges-launch-%{api}

%if %{build_validate}
%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.*
%{_datadir}/gstreamer-1.0/validate-scenario/ges-edit-clip-while-paused.scenario
%endif

%if %{build_python}
%files python
%{python2_sitearch}/gstreamer-editing-services/
%endif

%files -n %{libname}
%{_libdir}/libges-%{api}.so.%{major}
%{_libdir}/libges-%{api}.so.%{major}.*

%files -n %{plugname}
%{_libdir}/gstreamer-%{api}/libgstnle.so

%files -n %{girname}
%{_libdir}/girepository-1.0/GES-%{api}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/ges/
%{_datadir}/gir-1.0/GES-%{api}.gir


%changelog
* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085494
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081799
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047092
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021007
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011382
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995312
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992937
- new version 1.7.91

* Sat Mar 05 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 985956
- new version 1.7.90

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918898
- 1.6.2

* Sat Oct 10 2015 wally <wally> 1.6.0-3.mga6
+ Revision: 889263
- drop plugin requires from lib pkg

* Sat Oct 10 2015 wally <wally> 1.6.0-2.mga6
+ Revision: 889211
- obsolete gstreamer1.0-gnonlin
- make lib pkg to require plugin pkg

* Sat Oct 10 2015 wally <wally> 1.6.0-1.mga6
+ Revision: 889187
- new version 1.6.0
- fix license
- add package origin
- add subpkg for GStreamer Non Linear Engine (nle)

* Thu Jul 02 2015 wally <wally> 1.4.0-3.mga6
+ Revision: 849563
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 1.4.0-2.mga6
+ Revision: 847483
- add requires for gir pkg to devel pkg

* Sat Oct 25 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 793324
- new version 1.4.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.90-5.mga5
+ Revision: 745209
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1.1.90-4.mga5
+ Revision: 731163
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1.1.90-3.mga5
+ Revision: 679982
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.1.90-2.mga4
+ Revision: 541037
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 1.1.90-1.mga4
+ Revision: 494989
- update file list
- update url
- do not build example
- update file list
- update tarball
- br gnome-common
- add br
- drop unsatisfied br
- imported package gstreamer1.0-editing-services

